Removed executable property from certain read-only files
[hvlinux.git] / stage1 / cis-bzip2
index a5df099..ab48063 100755 (executable)
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
 
 # Reading system configuration informations, functions and package versions.
 source ../sysinfos
@@ -6,12 +7,16 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+
+# Bzip2's default Makefile target automatically runs the testsuite as well.
+# Disable the tests since they won't work on a multi-architecture build:
+sed -e 's@^\(all:.*\) test@\1@g' -i Makefile
 
 # This package doesn't have a configure script...
-cd ${LFS_TMP}/${1} &&
-make -j ${MAKEJOBS} &&
-make PREFIX=/tools install
+${HVMAKE} CC="${CC} ${CLFS_BUILDFLAGS}" AR="${AR}" RANLIB="${RANLIB}"
+${HVMAKE} PREFIX=/tools install
 
-# Return last error
 exit $?